%define oname ntlm-http

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 11
Summary:    Ruby/NTLM HTTP library
License:    MIT
Group:      Development/Ruby
URL:        http://www.mindflowsolutions.net/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
Ruby/NTLM HTTP provides NTLM authentication over http.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Oct 31 2016 pterjan <pterjan> 0.1.1-11.mga6
+ Revision: 1064359
- Use gem_setup macro

* Sun Jan 10 2016 pterjan <pterjan> 0.1.1-10.mga6
+ Revision: 921064
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-9.mga5
+ Revision: 742778
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-8.mga5
+ Revision: 688887
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.1.1-7.mga4
+ Revision: 562068
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.1.1-6.mga4
+ Revision: 561493
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-5.mga4
+ Revision: 535961
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.1.1-4.mga4
+ Revision: 482864
- update file list
- fix build
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.1.1-3.mga3
+ Revision: 396230
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 381147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.1.1-1.mga3
+ Revision: 313338
- fix patch
- fix patch
- imported package ruby-ntlm-http

